
QGIS Application - Bug report #6251

Support plain tables from WFS sources

2012-08-26 10:32 PM - Jeremy Palmer

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 15558

Description

The WFS 1.0.0 standard allows for tables without geometry attributes. Current QGIS crashes when added a WFS feature type does not

contain a geometry attribute.

This patch supports non-spatial (tables) tables in QGIS.

See http://data.linz.govt.nz/table/1208-asp-street/webservices for example WFS source (note you need to login and create API key first).

See http://github.com/qgis/Quantum-GIS/pull/216 for patch

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-10-05 05:59 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Added in commit:aedddc22b1
